summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Zhu Qun-Ying2022-08-21 00:41:35 +0200
committer Willy Sudiarto Raharjo2022-08-27 17:50:25 +0200
commit98ce3fadd5c7165df8676c64144c3db6b819fdfc (patch)
treeabeafc2c04518f16701374c43d0977ad7490f991 /graphics
parent112301101d7f8b85a33f30675345ffa2c7882678 (diff)
downloadslackbuilds-98ce3fadd5c7165df8676c64144c3db6b819fdfc.tar.gz
graphics/synfig: Added (Professional vector animation program, CLI)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/synfig/README8
-rw-r--r--graphics/synfig/slack-desc19
-rw-r--r--graphics/synfig/synfig.SlackBuild105
-rw-r--r--graphics/synfig/synfig.info10
4 files changed, 142 insertions, 0 deletions
diff --git a/graphics/synfig/README b/graphics/synfig/README
new file mode 100644
index 0000000000..9eefa71e6c
--- /dev/null
+++ b/graphics/synfig/README
@@ -0,0 +1,8 @@
+Synfig (Professional vector animation program, CLI)
+
+Synfig is a free and open-source 2D animation software,
+designed as powerful industrial-strength solution for creating
+film-quality animation using a vector and bitmap artwork. It
+eliminates the need to create animation frame-by frame, allowing
+you to produce 2D animation of a higher quality with fewer people
+and resources.
diff --git a/graphics/synfig/slack-desc b/graphics/synfig/slack-desc
new file mode 100644
index 0000000000..2e675f62fc
--- /dev/null
+++ b/graphics/synfig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+synfig: synfig (Professional vector animation program, CLI)
+synfig:
+synfig: Synfig is a free and open-source 2D animation software,
+synfig: designed as powerful industrial-strength solution for creating
+synfig: film-quality animation using a vector and bitmap artwork. It
+synfig: eliminates the need to create animation frame-by frame, allowing you
+synfig: to produce 2D animation of a higher quality with fewer people and
+synfig: resources.
+synfig:
+synfig: Home page: https://www.synfig.org
+synfig:
diff --git a/graphics/synfig/synfig.SlackBuild b/graphics/synfig/synfig.SlackBuild
new file mode 100644
index 0000000000..03b97ebdfb
--- /dev/null
+++ b/graphics/synfig/synfig.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for <synfig>
+
+# Copyright 2020, Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=synfig
+VERSION=${VERSION:-1.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --with-imagemagick \
+ --with-magickpp \
+ --with-libavcodec \
+ --with-libav \
+ --with-ffmpeg \
+ --build=$ARCH-slackware-linux
+
+make $JOBS
+make install DESTDIR=$PKG
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/synfig/synfig.info b/graphics/synfig/synfig.info
new file mode 100644
index 0000000000..70a83765a5
--- /dev/null
+++ b/graphics/synfig/synfig.info
@@ -0,0 +1,10 @@
+PRGNAM="synfig"
+VERSION="1.5.1"
+HOMEPAGE="https://www.synfig.org/"
+DOWNLOAD="https://github.com/synfig/synfig/releases/download/v1.5.1/synfig-1.5.1.tar.gz"
+MD5SUM="8e14f0e4809e17367fdc7c7fe92ed0a4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libxml++ libdv ETL"
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"